HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostPaymentIntentsIntentCancel

Contains the different functions to run the operation postPaymentIntentsIntentCancel

  • 3 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports5
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostPaymentIntentsIntentCancel.hs
valuepostPaymentIntentsIntentCancel
  1. :: MonadHTTP m
  2. => Text

    intent | Constraints: Maximum length of 5000

  3. -> Maybe PostPaymentIntentsIntentCancelRequestBody

    The request body to send

  4. -> ClientT m (Response PostPaymentIntentsIntentCancelResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/payment_intents/{intent}/cancel

<p>A PaymentIntent object can be canceled when it is in one of these statuses: <code>requires_payment_method</code>, <code>requires_capture</code>, <code>requires_confirmation</code>, <code>requires_action</code>, or <code>processing</code>. </p>

<p>Once canceled, no additional charges will be made by the PaymentIntent and any operations on the PaymentIntent will fail with an error. For PaymentIntents with <code>status=’requires_capture’</code>, the remaining <code>amount_capturable</code> will automatically be refunded. </p>

<p>You cannot cancel the PaymentIntent for a Checkout Session. <a href="/docs/api/checkout/sessions/expire">Expire the Checkout Session</a> instead</p>

Defines the object schema located at paths./v1/payment_intents/{intent}/cancel.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents/{intent}/cancel.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.cancellation_reason in the specification.

Reason for canceling this PaymentIntent. Possible values are `duplicate`, `fraudulent`, `requested_by_customer`, or `abandoned`

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postPaymentIntentsIntentCancel.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostPaymentIntentsIntentCancelResponseError is used.

Constructors

Instances2Eq, Show